Core - Bug # 49386

Status: Resolved Priority: Must have

Author: Thomas Maroschik Category: File Abstraction Layer (FAL)
Created: 2013-06-24 Assigned To:

Updated: 2013-09-10 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity: medium

Is Regression:
Sprint Focus:

Subject: ResourceStorage::setFileContents does not properly translate file info properties

Description

There is a mismatch between the file info property "mimetype" and the file object property "mime_type".

When retrieving file info data this has to be taken into account and it's currently not.

Related issues:
related to Core - Bug # 53622: Updating the file content fails with the FAL API Closed 2013-11-13

Associated revisions

Revision ca5ea8a6 - 2013-09-09 22:35 - Thomas Maroschik

[BUGFIX] Fix fileinfo property mapping in ResourceStorage::setFileContents

Fixes the handling of the mismatch between the file info property
"mimetype" and the file object property "mime_type" by using the
exposed API methods.

Fixes: #49386

Releases: 6.2, 6.1, 6.0

Change-Id: [f948de2a8bead340ae97097b3e4e391a27296362
Reviewed-on: https://review.typo3.org/21634

Reviewed-by: Steffen Ritter
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 21371365 - 2013-09-09 22:35 - Thomas Maroschik

[BUGFIX] Fix fileinfo property mapping in ResourceStorage::setFileContents

Fixes the handling of the mismatch between the file info property

"mimetype" and the file object property "mime_type" by using the

exposed API methods.

Fixes: #49386

Releases: 6.2, 6.1, 6.0
Change-Id: [f948de2a8bead340ae97097b3e4e391a27296362
https://review.typo3.org/21634

Reviewed-on: https://review.typo3.org/23712

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 50629208 - 2013-09-09 22:35 - Thomas Maroschik

[BUGFIX] Fix fileinfo property mapping in ResourceStorage::setFileContents

Fixes the handling of the mismatch between the file info property
"mimetype" and the file object property "mime_type" by using the
exposed API methods.

Fixes: #49386

Releases: 6.2, 6.1, 6.0

Change-Id: [f948de2a8bead340ae97097b3e4e391a27296362
Reviewed-on: https://review.typo3.0rg/23713

Reviewed-by: Stefan Neufeind

Tested-by: Stefan Neufeind

Revision bcbc7268 - 2013-09-10 11:00 - Stefan Neufeind

[BUGFIX] Follow-up: Fix fileinfo property mapping in ResourceStorage

Adjust unittest to changed conditions.

Change-Id: 1a885ba544a159ch1666464cece30c3e6ea3558b6

Fixes: #49386

Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.0rg/23716

Reviewed-by: Ernesto Baschny

Tested-by: Ernesto Baschny

Revision 45226b99 - 2013-09-10 11:01 - Stefan Neufeind

[BUGFIX] Follow-up: Fix fileinfo property mapping in ResourceStorage

Adjust unittest to changed conditions.

Change-Id: 1a885ba544a159chb1666464cece30c3e6ea3558b6

Fixes: #49386

Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.0rg/23723

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

Revision 194702a5 - 2013-09-10 11:19 - Stefan Neufeind

[BUGFIX] Follow-up: Fix fileinfo property mapping in ResourceStorage
Adjust unittest to changed conditions.

Change-Id: 1a885ba544a159cb1666464cece30c3e6ea3558b6
Fixes: #49386

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.org/23724

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History

#1 - 2013-06-24 16:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21634

#2 - 2013-08-28 12:56 - Ernesto Baschny
- Target version set to 6.2.0

#3 - 2013-09-06 12:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21634

#4 - 2013-09-09 22:35 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.0rg/23712

#5 - 2013-09-09 22:35 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.0rg/23713

#6 - 2013-09-09 23:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:506a9208e2321a1d1332bd1a176f7550391c3da6.

#7 - 2013-09-10 00:15 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23716

#8 - 2013-09-10 00:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23716

#9 - 2013-09-10 11:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23716

#10 - 2013-09-10 11:01 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.0rg/23723

#11 - 2013-09-10 11:01 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23723

#12 - 2013-09-10 11:02 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.0rg/23724

#13 - 2013-09-10 11:30 - Stefan Neufeind

- Status changed from Under Review to Resolved

Applied in changeset commit:194702a56ff5aea957e57630d88a29b1c9f90e96.
